{% extends "profile/layout/base.html" %}
{% block content %}
<div>
    <h1 style="margin-bottom:30px; text-align: center">Edit Profile</h1>
        <div class="info" align="center">
            <img src="{{profile.link}}" width="15%" height="15%">
            <table align="center" style="text-align: left">
                <tr><td class="subject" >NPM :</td><td class="value" > {{profile.npm}}</td></tr>
            </table>
            <div class="tombol" style="display:flex">
                <button class="btn btn-lg btn-block btn-info" >Save</button>
                <a href="" class="btn btn-lg btn-block btn-info" onclick="return confirm('Keluar?')">
                Logout </a>
        </div>
        <h2>Biodata</h2>
        <div class="linkin" align="left" id="login">
            <script type="in/Login"></script>
            <!-- <button class="btn btn-lg btn-block btn-info" >Connect with LinkedIn</button> -->
        </div> 
        <div class="exp" align="left">
            <h2>Expertise</h2>
            <button class="btn btn-lg btn-block btn-info" >Add Expertise</button>
        </div>
</div>
    

<script type="text/javascript" src="//platform.linkedin.com/in.js">
    api_key  : 81uk04r83e6u34
    authorize: true
    onLoad   : onLinkedInLoad
</script>

<script type="text/javascript">

function onSuccess(data) {
        console.log(data);
     $('#login').html(
           '<h3>' + 'Nama : ' + data.firstName + '</h3>' +
           '<h3>' + 'Email : ' + data.emailAddress + '</h3>' +
           '<h3>' + 'Profile LinkedIn : ' + data.publicProfileUrl + '</h3>' 
      );
    }
// Setup an event listener to make an API call once auth is complete
function onLinkedInLoad() {
    IN.Event.on(IN, "auth", getProfileData);
}
// Handle the successful return from the API call
// Handle an error response from the API call
function onError(error) {
    console.log(error);
}
// Use the API call wrapper to request the member's basic profile data
function getProfileData(data) {
    IN.API.Raw("/people/~:(first-name,last-name,headline,email-address,picture-url,public-profile-url)").result(onSuccess).error(onError);
}
</script>
{% endblock %}